Bug 1268696 - Review Request: rubygem-guard-rspec - Guard gem for RSpec
Review Request: rubygem-guard-rspec - Guard gem for RSpec
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 1268695 1516328
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-04 16:18 EDT by Ilya Gradina
Modified: 2017-12-11 11:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ilya Gradina 2015-10-04 16:18:48 EDT
Spec URL: https://github.com/ilgrad/fedora-packages/raw/master/rubygems/rubygem-guard-rspec.spec
SRPM URL: https://github.com/ilgrad/fedora-packages/raw/master/rubygems/rubygem-guard-rspec-4.6.4-1.fc24.src.rpm
Description: Guard::RSpec automatically run your specs (much like autotest).
Fedora Account System Username: ilgrad
Comment 1 Jaroslav Prokop 2017-12-02 14:42:26 EST
Hi Ilya, I did an informal review on this package.

* Outdated version
  - You should make it up to date with upstream release and also update it to     
    more current fedora releases

* Group is not needed
  - Group tags are not needed currently, so you should delete lines:
~~~
Group: Development/Languages
~~~

~~~
Group: Documentation
~~~

In my opinion you could run the tests without -Ilib option.

Otherwise the package looks good.
Comment 2 Jaroslav Prokop 2017-12-02 14:51:30 EST
I am sorry, I forgot one last thing

* Unnecessary dependency
  - The rubygem "launchy" does not seem like dependency to guard-rspec so 
    I would drop it from requires if possible.
Comment 3 Ilya Gradina 2017-12-05 14:57:16 EST
Hi Jaroslav,
thx for the review.
rubygem(launchy) - needed for tests, also as rubygem(gem_isolator)(I'll try to send soon on review request).

results build on copr(with disable tests):
https://copr.fedorainfracloud.org/coprs/ilgrad/test_rubygems/build/684766/

new spec: https://raw.githubusercontent.com/ilgrad/fedora-packages/master/rubygems/rubygem-guard-rspec.spec
new srpm: https://github.com/ilgrad/fedora-packages/raw/master/rubygems/rubygem-guard-rspec-4.7.3-1.fc27.src.rpm
Comment 4 Vít Ondruch 2017-12-11 11:43:07 EST
BTW I got "warning: bogus date in %changelog: Tue Dec 05 2018 Ilya Gradina <ilya.gradina@gmail.com> - 4.7.3-1"
Comment 5 Vít Ondruch 2017-12-11 11:52:38 EST
(In reply to Ilya Gradina from comment #3)
> also as rubygem(gem_isolator)(I'll try
> to send soon on review request).

I would not mind if you disabled the specific test case ATM:

~~~
# Requires rubygem(gem_isolator).
mv spec/acceptance/formatter_spec.rb{,.disabled}
~~~

But:

1) Of course having gem_isolator in Fedora is better
2) There are another 4 test failures due to "uninitialized constant Bundler" errors. It seems it would be better to disable these test cases, otherwise you will need to fight with all the other dependencies specified in Gemfiles. Not sure ...

Note You need to log in before you can comment on or make changes to this bug.